# rake-kit

Rake-kit is a pack of useful rake tasks to reuse across different Rails apps.

## What it does

```bash
# 'db' group
rake db:dump                     # dumps the database to a sql file
rake db:dump:import              # imports the rake_kit_development_dump.sql file to the current db
rake db:reset                    # This resets database (drop, create, migrate, seed)
rake db:truncate                 # Truncates tables

# 'source' group
rake source:detab                # Replace all tabs in source code files with two spaces
rake source:detrail              # Remove trailing whitespace on the ends of lines
rake source:gsub[pattern,result] # Replace all instances of {pattern} with {result}
```

## Installiation

Include it in Gemfile

```ruby
gem 'rake-kit'
```

## Credits

Some tasks contain the code done by following people:

* André Arko, 'source' group, https://gist.github.com/2922427.
* Manu J, 'db:truncate' task, http://www.manu-j.com/blog/truncate-all-tables-in-a-ruby-on-rails-application/221/.

## Copyright

Copyright (c) 2011 Stanislaw Pankevich.
